Subject: Re: [PATCH] gnu: megacmd: Add mega-sdk as dependency.

From: Jaft <[email-masked]>
Date: Sat, 5 Feb 2022 03:05:48 +0000 (UTC)

Hmm; perhaps a past installed caused things to build last time I tried this. I see what you mean, now.
In that case, I'm not sure that I have enough experience or knowledge with make tools to be able to untangle things, I'm afraid.
    On Friday, February 4, 2022, 12:18:50 PM CST, Liliana Marie Prikler <[email-masked]> wrote:  
 
 Am Donnerstag, dem 03.02.2022 um 18:34 -0600 schrieb Wamm K. D:
> * gnu/packages/sync.scm (megacmd): Use new package mega-sdk as
> dependency
> rather than build mega-sdk via building recursively.
> ---
>  gnu/packages/sync.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/gnu/packages/sync.scm b/gnu/packages/sync.scm
> index 52003a7c9d..753b4e4d47 100644
> --- a/gnu/packages/sync.scm
> +++ b/gnu/packages/sync.scm
> @@ -281,8 +281,7 @@ (define-public megacmd
>          (method git-fetch)
>          (uri (git-reference
>                (url "https://github.com/meganz/MEGAcmd")
> -              (commit (string-append version "_Linux"))
> -              (recursive? #t)))
> +              (commit (string-append version "_Linux"))))
>          (sha256
>           (base32
>            "004j8m3xs6slx03g2g6wzr97myl2v3zc09wxnfar5c62a625pd53"))
> @@ -301,6 +300,7 @@ (define-public megacmd
>         ("curl" ,curl)
>         ("freeimage" ,freeimage)
>         ("gtest" ,googletest)
> +       ("mega-sdk" ,mega-sdk)
>         ("openssl" ,openssl)
>         ("pcre" ,pcre)
>         ("readline" ,readline)
Note that the hash didn't change, so you're still fetching the
recursive version.  In addition, the non-recursive version won't build
as mega-sdk is deeply bundled into megacmd.